
{% extends 'layout.twig' %}

{% block body %}

    <div class="contenu clearfix"  id="marche">
    	<h1>{{ TITRE }}</h1>
                                     
		            {{ ariane() }}  

		<div id="dupliquer-accord-cadre" class="clearfix">
    		<h2>{{ SOUSTITRE }}</h2>
			{% if type=='fournisseur' or type=='groupement' %}
				{{ arianeSub() }}
			{% endif %}
    		<form class="form clearfix" method="post" name="form_duplication_accord_cadre" id="form_duplication_accord_cadre">
    		<input type ="hidden" id="nbrLigne" name ="nbrLigne" value = "1" />
    			<div class="row">
    				<a onclick ="cloneRow();" class="button principal ajout button_right" id="ajouterLigne" class="ajouterLigne" >{{'Nouvelle ligne' | trad }}</a>
    			</div>
    			<table class="table sans_actions table-hover">
                	<thead class="thead-dark">
                    	<tr>
                        	<th scope="col" width="10%">{{'Accords-cadres' | trad }}</th>
                            <th scope="col">{% if detailAcd['TYPE_FG']  == 'F' %}{{'Code fournisseur' | trad}}{% else %}{{'Groupement' | trad}} {% endif %}</th>
                            <th scope="col" width="10%" align="center">{{'MAJ Tarif Article' | trad}}</th>
                            <th scope="col" width="10%" align="center">{{'Evol. Prx Art/ACD' | trad}}</th>
                            <th scope="col" width="10%" align="center">{{'Début validité' | trad }}</th>
                            <th scope="col" width="10%" align="center">{{'Fin validité' | trad }}</th>
							 <th scope="col" width="6%" class="white-tooltip align-center">
								<span class="infos_tooltip left" >
									{{'Tout sélectionner' | trad }}
								</span>
								
								<input style = "cursor:not-allowed" type="checkbox" class="form-control checkbox" id="clcheckbox" name="clcheckbox[]" onClick ="checkout('checkk', 'clcheckbox'); allSelect();" data-select ="0" disabled/>
							</th>
                        </tr>
                    </thead>
                    <tbody id ="tabClone">
            		{% for i in 1..sizeArray %}
                    	<tr id ="recherche" class="recherche">
                    	
                    		<td> 
								{{ inputText('', 'CODE_ACD_'~i, post['CODE_ACD_'~i], '', path('Ajax.validator.isStringSansEspace'), "{'sizeMin' : '1', 'sizeMax' : '12'}", '', '', '', '', 'width: 134px;margin-left:14px;' ) }}	
							</td>
                    		<td>
							{% if detailAcd['TYPE_FG'] == 'F' %}
								{{ inputAdvance('ZOOMADVANCE', {
									'titre' : '',
									'name' : 'FOURNISS_'~i,
									'pahtZoom' : path('Ajax.liste.fournisseur'),
									'paramZoom' : "{}",
									'value' : post['FOURNISS_'~i],
									'entity' : 'Fourniss',
									'titleZoom' : 'Code fournisseur' | trad,
									'pathConvert' : path('Ajax.outil.convertLibelle'),
									'convertLibelle' : 'convertLibelleGlobal',
									'pathValidator' : path('Ajax.validator.zoom'),
									'paramsValidator' : "{'entity' : 'Fourniss','nomChamp' : '"~'Fournisseurs' | trad~"'}",
									'option' : lockFourniss,
									'obligatoire' : true,
								}) }}
							{% else %}
								{{ inputAdvance('ZOOMADVANCE', {
									'titre' : '',
									'name' : 'FOURNISS_'~i,
									'pahtZoom' : path('Ajax.liste.grpfou'),
									'paramZoom' : "{}",
									'value' : post['FOURNISS_'~i],
									'entity' : 'grpfou',
									'codeBDD' : 'CODE',
									'libelleBDD' : 'RS',
									'titleZoom' : 'Liste des groupements fournisseurs' | trad,
									'pathConvert' : path('Ajax.outil.convertLibelle'),
									'convertLibelle' : 'convertLibelleGlobal',
									'pathValidator' : path('Ajax.validator.zoom'),
									'paramsValidator' : "{'entity' : 'Fourniss','nomChamp' : '"~'Groupements' | trad~"'}",
									'obligatoire' : true,
								}) }}
							{% endif %}
                    		</td>
							<td class="align">
								{{ inputSwitch('','TOGGLEMAJTARIF_'~i , 0) }} 
							</td>

                    		<td>
								{{ inputAdvance('DEVISE', {
									'name' : 'TAUXEVOL_'~i,
									'titre' : '',
									'value' : post['TAUXEVOL_'~i],
									'DEVISE' : '%',
									'placeholder' : '100%',
									'pathValidator': path('Ajax.validator.float'),
									'paramsValidator': "{'nomChamp' : '"~ 'Taux Evol.Prx Art/ACD' | trad ~"', 'format' : "~getConst('formatMontant')~"}",
								}) }}
							</td>
                    		<td><input type="text" class="form-control datepicker" name="DDEBVAL_{{ i }}" id="DDEBVAL_{{ i }}" placeholder="{{ date | dateTrad }}" value =""/></td>
                    		<td><input type="text" class="form-control datepicker" name="DFINVAL_{{ i }}" id="DFINVAL_{{ i }}" placeholder="{{ date | dateTrad }}" value =""/></td>
							<td></td>
                    	</tr>
                	{% endfor %}
                    </tbody>
                 </table>
                <div class="full validation_modal text-right">  
				 	{{ arianeAnnuler() }}
					<a id ="supprimerButton" class="button principal " style = "background-color:#64A4F4;cursor:not-allowed;" >{{'Supprimer' | trad }}</a>
					<a id ="send" class="button principal " >{{'Enregistrer' | trad}}</a>
        		</div>
    		</form>
    	</div>
    </div>
	<style>
		.input-wrapper .input-group-addon {
			right: 10%;
		}
	</style>
	<script type="text/javascript">
	
	function suppprCheck()
	{
		
		$(".recherche").find('td').find('input.checkbox').each(function()
		{ 
			
			// TODO YANIS :  BLOCK DOUBLE CLICK
			if($( "#form_duplication_accord_cadre input[type=checkbox]:checked" ).length >= 1)
			{
				ok=true;
				return false;
			}
			else
			{
				ok=false;
			}
		});

		$('#nbrLigne').val(1);
		if(ok==true)
		{
			$('#supprimerButton').css({'background-color' : '', 'cursor' : ''}); 
		}
		else
		{
		
			$('#supprimerButton').css({'background-color' : '#64A4F4', 'cursor': 'not-allowed'}); 
		}
	}
	function addCheckAll()
	{
		var allDone; 
		// For add the check on the all check button 
		$(".recherche").next('.recherche').find('td').find('input.checkbox').each(function()
		{ 

			if($('#' +  this.id).is(":checked") == true)
			{
				allDone=true;
			}
			else
			{
				allDone=false;

				return false;
			}
		});

		if(allDone == true)
		{
			$( "#clcheckbox" ).prop( "checked", true );
		}
		else
		{
			$('#clcheckbox').prop('checked', false);
		}
	}
	
	// Allow the button delete clickabled or not respecting if at least one line are selected
	function changeSuppr(id)
	{
		addCheckAll();
		// For change the color of the delete button
		suppprCheck();
	}

	// Allows you to delete one or more lines at a time
	$("#supprimerButton").click(function(e) 
	{
		$(".recherche").next('.recherche').find('td').find('input.checkbox').each(function()
		{ 
			// TODO YANIS :  BLOCK DOUBLE CLICK
			if($('#' +  this.id).is(":checked") == true)
			{
				$('#nbrLigne').val(parseInt($('#nbrLigne').val()) - parseInt(1));
				$(this).closest('tr').remove();
			}
			
		});
		suppprCheck();	
		addCheckAll();	

		if($('#recherche').nextAll('tr').length > 0)
		{
			$("#clcheckbox").prop( "disabled", false );
			$('#clcheckbox').prop('checked', true);
		}
		else
		{ 			
			$('#clcheckbox').prop('checked', false);
			$('#clcheckbox').css({ 'cursor': 'not-allowed'}); 
			$('#clcheckbox').attr('disabled','disabled');

			$("#clcheckbox").prop( "disabled", true );

		}
		$('#clcheckbox').prop('checked', false);
	
		
	});
	// Permet de gérer la selection multiple ainsi que les fonctions en back ( TOUT / SELECTIONNER / DESELECTIONNER)
	function allSelect()
	{
		var allCheck;
		$(".recherche").find('td').find('input.checkbox').each(function()
		{ 
	
			if($( "#form_duplication_accord_cadre input[type=checkbox]:checked" ).length >= 1)
			{
				allCheck=true;
				return false;
			}
			else
			{
				allCheck=false;
			}
		});
		if(allCheck == true)
		{
			$('#supprimerButton').css({'background-color' : '', 'cursor': ''}); 
		}			
		else
		{
			$('#supprimerButton').css({'background-color' : '#64A4F4', 'cursor': 'not-allowed'}); 
		}	
	}

	function showDatepicker(id,calendarJPG, paramDateFormat)
	{	
		$(id).datepicker({
			showOn: "button",
			changeYear: true,
			changeMonth: true,
			buttonImage: calendarJPG,
			buttonImageOnly: true,
			showAnim: "fade", 
			dateFormat: paramDateFormat
		});
	}


	id=1;
	function cloneRow() 
	{
		$('#ajouterLigne').removeAttr('onClick');
		setTimeout(function(){ $('#ajouterLigne').attr("onClick", "cloneRow();"); }, 800); 
		id++;

	    $.ajax({
	    	url : '{{ path('Contrat.accord-cadre.ajaxDupliquer', {'type': 'accordCadre', 'idacc' : id } ) }}',
	        type: 'POST',
		  	dataType : 'HTML',
	        data: {'id' : id},
	        success: function (html) 
			{     
				$('#tabClone').append(html);
				$('#nbrLigne').val(id);
				showDatepicker('#input_DDEBVAL_' + id, '{{ baseUrl('IconeV2/Global/deadline-change.svg') }}', '{{ 'dd/mm/yy' | paramDateFormat }}');
				showDatepicker('#input_DFINVAL_' + id , '{{ baseUrl('IconeV2/Global/deadline-change.svg') }}', '{{ 'dd/mm/yy' | paramDateFormat }}');
			
			
				addCheckAll();	
			}
			
	    });
		$('#clcheckbox').css({ 'cursor': ''}); 
	    $( "#clcheckbox" ).prop( "disabled", false );
	}

	$("#send").click(function(e) 
	{ 

		var myForm = $("#form_duplication_accord_cadre").serializeArray();

		$.ajax({
			url : '{{ path('Contrat.accord-cadre.dupliquer', {'type': 'accordCadre', 'idacc' : id } ) }}',
			type: 'POST',
			dataType : 'JSON',
			data: myForm,
			success: function (json_obj) 
			{ 
				
				 //parse JSON
				if(json_obj.ok == false)
				{
					activePopupErreur("{{ path('Ajax.Erreur.popupErreurValid' )}}", "{{'Erreur !' | trad }} ", json_obj.msgErreur);
				}
				else
				{ 
					
					popupConfirmation("{{path('Ajax.Erreur.popupConfirmationRedirection')}}", '', "{{ path('Contrat.accord-cadre.index', {'type':'ALL', 'idacc' : 'ALL' }) }}", json_obj.message);
					{# popupConfirmation("{{path('Ajax.Erreur.popupConfirmationRedirection')}}", "Information", "{{ path('Contrat.accord-cadre.index', {'type':'ALL', 'idacc' : 'ALL' }) }}", json_obj.message); #}
				}
				
			}
		});

	});

	
	</script>

{% endblock %}